<?php

if ( ! function_exists( 'dark_top_travel_enqueue_styles' ) ) :

	function dark_top_travel_enqueue_styles() {
		wp_enqueue_style( 'dark-top-travel-style-parent', get_template_directory_uri() . '/style.css' );

		wp_enqueue_style( 'dark-top-travel-style', get_stylesheet_directory_uri() . '/style.css', array( 'dark-top-travel-style-parent' ), '1.0.0' );

		wp_enqueue_style( 'dark-top-travel-fonts', dark_top_travel_fonts_url(), array(), null );
	}
endif;
add_action( 'wp_enqueue_scripts', 'dark_top_travel_enqueue_styles', 99 );


if ( !function_exists( 'dark_top_travel_block_editor_styles' ) ):

	function dark_top_travel_block_editor_styles() {
		wp_enqueue_style( 'dark-top-travel-fonts', dark_top_travel_fonts_url(), array(), null );
	}

endif;

add_action( 'enqueue_block_editor_assets', 'dark_top_travel_block_editor_styles' );


if ( ! function_exists( 'dark_top_travel_fonts_url' ) ) :

function dark_top_travel_fonts_url() {
	
	$fonts_url = '';
	$fonts     = array();
	$subsets   = 'latin,latin-ext';

	if ( 'off' !== _x( 'on', 'Poppins font: on or off', 'dark-top-travel' ) ) {
		$fonts[] = 'Poppins:400,500,600,700';
	}

	$query_args = array(
		'family' => urlencode( implode( '|', $fonts ) ),
		'subset' => urlencode( $subsets ),
	);

	if ( $fonts ) {
		$fonts_url = add_query_arg( $query_args, 'https://fonts.googleapis.com/css' );
	}

	return esc_url_raw( $fonts_url );
}

endif;


if ( ! function_exists( 'dark_top_travel_body_classes' ) ) :

	function dark_top_travel_body_classes( $classes ) {

		$body_class[] = 'dark-version';

		return $body_class;

	}

endif;


add_filter( 'body_class', 'dark_top_travel_body_classes' );


require get_theme_file_path() . '/inc/customizer.php';

require get_theme_file_path() . '/inc/front-sections/package.php';

